Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic
Class SingleStatistic<P extends StatisticPoint>

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<P>

Direct Known Subclasses:
  ProblemBasedSingleStatistic, PureSingleStatistic

    public abstract class SingleStatistic<P extends StatisticPoint>

extends Object

1 statistic of `SingleBenchmarkResult`

Field Summary
`protected org.slf4j.Logger` | `logger`
`protected List<P>` | `pointList`
`protected SingleBenchmarkResult` | `singleBenchmarkResult`

Constructor Summary
`protected` | `SingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`abstract void` | `close(Solver solver)`
`protected abstract P` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`String` | `getAnchorId()`
`File` | `getCsvFile()`
`String` | `getCsvFilePath()`
`protected abstract String` | `getCsvHeader()`
`List<P>` | `getPointList()`
`SingleBenchmarkResult` | `getSingleBenchmarkResult()`
`abstract StatisticType` | `getStatisticType()`
`void` | `initPointList()`
`abstract void` | `open(Solver solver)`
`void` | `readCsvStatisticFile()`
`void` | `setPointList(List<P> pointList)`
`void` | `setSingleBenchmarkResult(SingleBenchmarkResult singleBenchmarkResult)`
`void` | `writeCsvStatisticFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### singleBenchmarkResult

    protected SingleBenchmarkResult singleBenchmarkResult

### pointList

    protected List<P extends StatisticPoint> pointList

Constructor Detail

### SingleStatistic

    protected SingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### getSingleBenchmarkResult

    public SingleBenchmarkResult getSingleBenchmarkResult()

### setSingleBenchmarkResult

    public void setSingleBenchmarkResult(SingleBenchmarkResult singleBenchmarkResult)

### getStatisticType

    public abstract StatisticType getStatisticType()

### getPointList

    public List<P> getPointList()

### setPointList

    public void setPointList(List<P> pointList)

### getCsvFilePath

    public String getCsvFilePath()

### getCsvFile

    public File getCsvFile()

### open

    public abstract void open(Solver solver)

### close

    public abstract void close(Solver solver)

### initPointList

    public void initPointList()

### getCsvHeader

    protected abstract String getCsvHeader()

### writeCsvStatisticFile

    public void writeCsvStatisticFile()

### readCsvStatisticFile

    public void readCsvStatisticFile()

### createPointFromCsvLine

    protected abstract P createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                List<String> csvLine)

### getAnchorId

    public String getAnchorId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.